Bug 102517 - "select all packages" inconsistency
"select all packages" inconsistency
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-08-16 08:50 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:35:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2003-08-16 08:50:59 EDT
The "Select all packages" select box is incorrectly checked when going back and
forward again on the "Available Package Updates" page.

version: up2date-3.1.46-1

Short example to show you what is going wrong:
I am on the "Packages Flagged to be Skipped" page and use "select all packages"
to mark the available kernel updates and then go to the next page,
"Available Package Updates"
Here, the kernel packages are checked again, but the other packages are not. So
I use "select all packages" to select them.
Now I choose "back" to go to the previous page and there again "forward", so I
am back on the "Available Package Updates" page.

Now the checkbox "select all packages" is selected, but only the kernel packges
really are. I have to uncheck the box and select it again to really select all
(The size of the packages shown below the package list is correct, it only shows
the size of really selected packages.)

(Hm, I do not have any updates to apply now, so I cannot test this: maybe this
bug does also affect the behaviour of the "Packages to be Skipped" page?)
Comment 1 RHEL Product and Program Management 2007-10-19 15:35:32 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.